View Issue Details

IDProjectCategoryView StatusLast Update
0002073unrealdocumentationpublic2004-09-18 17:55
ReportertrystanscottAssigned Tocodemastr 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformAnyOSAnyOS VersionAny
Product Version3.2.1 
Target VersionFixed in Version3.2.2 
Summary0002073: tokens.txt needs updating
DescriptionFollowing documentation gives wrong command for the token
ADDMODE - AQ ? m_addmotd.c says thats ADDMOTD
ADDOMODE - AR ? m_addomotd.c says thats ADDOMOTD
SVSMODE - AC ? not in m_svsmode it isn't, m_svsmotd SVSMOTD


Following tokens are defined twice (possibly bigger error)
SVSNLINE and SVSJOIN use BR
SVS2SNO and SVSWATCH use BW


Following tokesn are not documented at all
SVSNLINE - BR ? part of above
EOS - ES
CHGNAME BK
CYCLE - BP
DCCDENY - BI
SENDSNO - Ss
SVSLUSERS - BU
SVSSILENCE - Bs
SVSSNO - BV
TEMPSHUN - Tz
UNDCCDENY - BJ
TagsNo tags attached.
3rd party modules

Activities

codemastr

2004-09-16 21:03

reporter   ~0007666

[quote]Following tokens are defined twice (possibly bigger error)[/quote]
It could be a big problem, but it really isn't unless services send the token, which to my knowledge, none do. But it is still a bug. I suppose we have to make it a point to keep tokens.txt up to date and consult it when adding new commands...

trystanscott

2004-09-17 04:03

reporter   ~0007672

Could this affect a setup where you have a the following

                 HUB
                  |
  -----------------------------------
  | | | |
  services server1 server2 server3

If services send SVSNLINE to its up link, wouldn't hub give each of the servers below it the TOKEN not the command? Just wondering just I was working on a Anope module to do SVSNLINE but every time I sent it from services, the HUB got the message but none of the leafs got the message.

syzop

2004-09-17 14:40

administrator   ~0007676

yes, this bug prevents SVSNLINE from being broadcasted to the other servers (tested yesterday). [well, code already knows, we talked about it yesterday :p]

codemastr

2004-09-18 17:55

reporter   ~0007706

Fixed in .137

Issue History

Date Modified Username Field Change
2004-09-16 01:11 trystanscott New Issue
2004-09-16 21:03 codemastr Note Added: 0007666
2004-09-17 04:03 trystanscott Note Added: 0007672
2004-09-17 14:40 syzop Note Added: 0007676
2004-09-18 17:55 codemastr Status new => resolved
2004-09-18 17:55 codemastr Fixed in Version => 3.2.2
2004-09-18 17:55 codemastr Resolution open => fixed
2004-09-18 17:55 codemastr Assigned To => codemastr
2004-09-18 17:55 codemastr Note Added: 0007706